/*----------------------------------------------------------------------- 
 * 
 * File Name: ApplySearch.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: ApplySearch.h,v 1.6 2001/08/30 20:56:17 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#if 0
<lalVerbatim file="ApplySearchHV">
Author: Brown, D. A.
$Id: ApplySearch.h,v 1.6 2001/08/30 20:56:17 duncan Exp $
</lalVerbatim> 

<lalLaTeX>

\section{Header \texttt{ApplySearch.h}}
\label{inspiral:ApplySearch.h}

Provides error codes and the \texttt{BuildInspiralOutPut()} function for the shared object {\tt ApplySearch()} function.

</lalLaTeX>
#endif

#ifndef _APPLYSEARCH_H
#define _APPLYSEARCH_H

#include "Inspiral.h"

#include <lal/FindChirpExch.h>
#include <lal/FindChirpEngine.h>


#ifdef  __cplusplus
extern "C" {
#endif


NRCSID (APPLYSEARCHH, PKG "$Id: ApplySearch.h,v 1.6 2001/08/30 20:56:17 duncan Exp $");

#if 0
<lalLaTeX> 
\subsection*{Error codes} 
</lalLaTeX>
#endif
/* <lalErrTable> */
#define APPLYSEARCH_ENULL 1
#define APPLYSEARCH_ENNUL 2
#define APPLYSEARCH_ENUMZ 3
#define APPLYSEARCH_EDELT 4
#define APPLYSEARCH_ERHOZ 5
#define APPLYSEARCH_ECHIZ 6
#define APPLYSEARCH_ETMPL 7
#define APPLYSEARCH_EALOC 8
#define APPLYSEARCH_ERANK 9
#define APPLYSEARCH_EUEXT 10
#define APPLYSEARCH_MSGENULL "Null pointer"
#define APPLYSEARCH_MSGENNUL "Non-null pointer"
#define APPLYSEARCH_MSGENUMZ "Data segment length is zero"
#define APPLYSEARCH_MSGEDELT "deltaT is zero or negative"
#define APPLYSEARCH_MSGERHOZ "snr squared threshold is zero or negative"
#define APPLYSEARCH_MSGECHIZ "chi squared threshold is zero or negative"
#define APPLYSEARCH_MSGETMPL "linked list of templates to filter in null"
#define APPLYSEARCH_MSGEALOC "Memory allocation error"
#define APPLYSEARCH_MSGERANK "Search node has incorrect rank"
#define APPLYSEARCH_MSGEUEXT "Unrecognised exchange type"
/* </lalErrTable> */

void
BuildInspiralOutPut (
    LALStatus                  *status,
    LALSearchOutput            *output,
    InspiralEvent              *eventList
    );

void
BuildFilterOutPut (
    LALStatus                  *status,
    LALSearchOutput            *output,
    REAL4Vector                *rhosqVec
    );

#ifdef  __cplusplus
}
#endif

#if 0
<lalLaTeX>
\vfill{\footnotesize\input{ApplySearchHV}}
</lalLaTeX> 
#endif

#endif /* _APPLYSEARCH_H */
