/*----------------------------------------------------------------------- 
 * 
 * File Name: InitSearch.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: InitSearch.h,v 1.17 2001/08/30 20:56:17 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#if 0
<lalVerbatim file="InitSearchHV">
Author: Brown, D. A.
$Id: InitSearch.h,v 1.17 2001/08/30 20:56:17 duncan Exp $
</lalVerbatim> 

<lalLaTeX>

\section{Header \texttt{InitSearch.h}}
\label{inspiral:InitSearch.h}

Provides {\tt InitSearch()} function and global structure definitions for inspiral
shared object.

</lalLaTeX>
#endif

#ifndef _INITSEARCH_H
#define _INITSEARCH_H

#include "Inspiral.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (INITSEARCHH, "$Id: InitSearch.h,v 1.17 2001/08/30 20:56:17 duncan Exp $");

#if 0
<lalLaTeX> 
\subsection*{Error codes} 
</lalLaTeX>
#endif
/* <lalErrTable> */
#define INITSEARCH_ENULL 1
#define INITSEARCH_ENNUL 2
#define INITSEARCH_EALOC 3
#define INITSEARCH_EARGS 4
#define INITSEARCH_ENUMZ 5
#define INITSEARCH_ESEGZ 6
#define INITSEARCH_EBINS 7
#define INITSEARCH_EDTZO 8
#define INITSEARCH_EOVLP 9
#define INITSEARCH_ETRNC 10
#define INITSEARCH_EFLOW 11
#define INITSEARCH_EFREE 12
#define INITSEARCH_ENLAL 13
#define INITSEARCH_ENDAT 14
#define INITSEARCH_ERHOT 15
#define INITSEARCH_ECHIT 16
#define INITSEARCH_EDYNR 17
#define INITSEARCH_ETMPZ 18
#define INITSEARCH_ETMPN 19
#define INITSEARCH_ETSTR 20
#define INITSEARCH_ENTXC 21
#define INITSEARCH_ETSRC 22
#define INITSEARCH_ETPRM 22
#define INITSEARCH_MSGENULL "Null pointer"
#define INITSEARCH_MSGENNUL "Non-null pointer"
#define INITSEARCH_MSGEALOC "Memory allocation error"
#define INITSEARCH_MSGEARGS "Wrong number of arguments"
#define INITSEARCH_MSGENUMZ "Data segment length is zero or negative"
#define INITSEARCH_MSGESEGZ "Number of data segments is zero or negative"
#define INITSEARCH_MSGEBINS "Number of chi squared bins is zero or negative"
#define INITSEARCH_MSGEDTZO "deltaT is zero or negative"
#define INITSEARCH_MSGEOVLP "Segment overlap is negative"
#define INITSEARCH_MSGETRNC "Duration of inverse spectrum in time domain is negative"
#define INITSEARCH_MSGEFLOW "Inverse spectrum low frequency cutoff is negative"
#define INITSEARCH_MSGEFREE "Memory free error"
#define INITSEARCH_MSGENLAL "Tried to allocate to non-null pointer"
#define INITSEARCH_MSGENDAT "No data read"
#define INITSEARCH_MSGERHOT "Rhosq threshold error"
#define INITSEARCH_MSGECHIT "Chisq threshold error"
#define INITSEARCH_MSGEDYNR "Dynamic range is negative"
#define INITSEARCH_MSGETMPZ "Number of templates is incorrect"
#define INITSEARCH_MSGETMPN "Templates list is null"
#define INITSEARCH_MSGETSTR "Error parsing template string"
#define INITSEARCH_MSGENTXC "Number of templates in coarse exchange is zero or negative"
#define INITSEARCH_MSGETSRC "Invalid template source"
#define INITSEARCH_MSGETPRM "Invalid template parameters"
/* </lalErrTable> */

#if 0
<lalLaTeX>
\vfill{\footnotesize\input{InitSearchHV}}
</lalLaTeX> 
#endif

#if 0
<lalVerbatim file="InspiralCommandLine">
libinspiral.so should be invoked with the following arguments to wrapperAPI

argv[0]  = "-filterparams"

argv[1]  = numPoints         Number of data points in a segment

argv[2]  = numSegments       Number of overlapping data segments
argv[3]  = ovrlap            Overlap betweeen segments (# of points)

argv[4]  = fLow              Low frequency cut-off in inverse spectrum
argv[5]  = invSpecTrunc      Duration of inverse spectrum in time domain
argv[6]  = dynRange          dynamic range scaling for condition data
argv[7]  = numChisqBins      Number of frequency bands for chisq veto

argv[8]  = rhosqThreshold[2] thresholds for SNR (1,2)
argv[9]  = chisqThreshold[2] thresholds for chisqr (1,2)

argv[10] = numTmpltExch      Number of templates to exchange
argv[11] = createRhosqVec    Create a vector of the last filter output

argv[12] = tmpltSource       0: bank, 1: cmd line, 2: ilwd

if ( tmpltSource == 0 || tmpltSource == 1 ) :

argv[13] = tmpltParams       0: (    mMin,
                                     MMax,
                                     mmCoarse,
                                     mmFine,
                                     fLower,
                                     fUpper,
                                     tSampling,
                                     iflso,
                                     numLevel
                                )
                              1: numTmplts

if ( tmpltSource == 1 ) :

argv[14] = (m1,m2/m1,m2/...)  1:   list of templates if tmplts from cmd
</lalVerbatim>
#endif


/* permissable numbers of command line arguments */
#define INSPARG_NBNK    14      /* number of command line args (bank)     */
#define INSPARG_NCMD    15      /* number of command line args (cmd line) */
#define INSPARG_NILD    13      /* number of command line args (ilwd)     */

/* command line arguments */
#define INSPARG_NPTS    1       /* number of points in a segment        */
#define INSPARG_NSEG    2       /* number of data segments              */
#define INSPARG_OVRL    3       /* data segment overlap                 */
#define INSPARG_FLOW    4       /* low frequency cutoff                 */
#define INSPARG_TRNC    5       /* inverse spec trunc                   */
#define INSPARG_DYNR    6       /* dynamic range                        */
#define INSPARG_NCHI    7       /* number of chisq bins                 */
#define INSPARG_RHOT    8       /* rhosq threshold                      */
#define INSPARG_CHIT    9       /* chisq threshold                      */
#define INSPARG_NTXC    10      /* number of templates to exchange      */
#define INSPARG_CRVC    11      /* create rhosq vec                     */
#define INSPARG_TSRC    12      /* template source                      */
#define INSPARG_TPRM    13      /* template params                      */
#define INSPARG_TMPL    14      /* templates from command line          */


void
InspiralTmpltsFromCmdLine (
    LALStatus                  *status,
    InspiralSearchParams       *params,
    CHAR                      **argv
    );


#ifdef  __cplusplus
}
#endif

#endif /* _INITSEARCH_H  */
