/*----------------------------------------------------------------------- 
 * 
 * File Name: Inspiral.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: Inspiral.h,v 1.8 2001/05/30 22:10:28 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#ifndef _INSPIRAL_H
#define _INSPIRAL_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#include <lal/LALStdlib.h>
#include <lal/LALInspiral.h>
#include <lal/LALInspiralBank.h>
#include <lal/DataBuffer.h>
#include <lal/FindChirp.h>
#include <lal/FindChirpSP.h>
#include <lal/FindChirpEngine.h>
#include "LALWrapperInterface.h"

#ifdef  __cplusplus
extern "C" {
#endif

#define PKG "Inspiral: "

NRCSID (INSPIRALH, PKG "$Id: Inspiral.h,v 1.8 2001/05/30 22:10:28 duncan Exp $");


typedef struct
tagInspiralSearchParams
{
  BOOLEAN                       searchMaster;
  INT4                          tmpltSource;
  UINT4                         inspiralDebugFlag;
  UINT4                         ovrlap;
  UINT4                        *numSlaves;
  UINT4                         numTmplts;
  UINT4                         numTmpltExch;
  UINT4                         numChisqBins;
  REAL4                        *rhosqThreshVec;
  REAL4                        *chisqThreshVec;
  InspiralTemplate             *bankHead;
  InspiralTemplateNode         *tmpltHead;
  InspiralTemplateNode         *tmpltCurrent;
  FindChirpInitParams          *initParams;
  FindChirpSPDataParams        *dataParams;
  FindChirpSPTmpltParams       *tmpltParams;
  FindChirpFilterParams        *filterParams;
  FindChirpSegmentVector       *fcSegVec;
  FindChirpFilterInput         *filterInput;
  InspiralEvent                *loudestEvent;
}
InspiralSearchParams;

#ifdef __cplusplus
}
#endif 

#endif /* _INSPIRAL_H */
