/**** <lalVerbatim file="StochasticBarConditionDataHV">
Author: Anderson, W.G., Romano, J.D., and Whelan, J.T.
$Id: StochasticBarConditionData.h,v 1.2 2001/08/27 18:53:33 heng Exp $
**************************************************** </lalVerbatim> */

/******************************* <lalLaTeX file="StochasticBarConditionDataH">
\section{Header \texttt{StochasticBarConditionData.h}}
\label{s:StochasticBarConditionData.h}

Header file for ...

\subsection*{Synopsis}
\begin{verbatim}
#include "StochasticBarConditionData.h"
\end{verbatim}

\noindent
This header ...

\subsection*{Error conditions}
\input{StochasticBarConditionDataHErrTab}

\subsection*{Structures}

None.

*************************************************** </lalLaTeX> */

#ifndef _STOCHASTICCONDITIONDATA_H
#define _STOCHASTICCONDITIONDATA_H

#include "LALWrapperInterface.h"
#include "StochasticBar.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (STOCHASTICCONDITIONDATAH, "$Id: StochasticBarConditionData.h,v 1.2 2001/08/27 18:53:33 heng Exp $");

/******** <lalErrTable file="StochasticBarConditionDataHErrTab"> ********/
#define STOCHASTICCONDITIONDATAH_ENULL      1
#define STOCHASTICCONDITIONDATAH_EMSTR      2
#define STOCHASTICCONDITIONDATAH_ENSEQ      3
#define STOCHASTICCONDITIONDATAH_ETYPE      4 
#define STOCHASTICCONDITIONDATAH_EDIMS      5
#define STOCHASTICCONDITIONDATAH_ESIZE      6
#define STOCHASTICCONDITIONDATAH_ENAME      7
#define STOCHASTICCONDITIONDATAH_EALOC      8

#define STOCHASTICCONDITIONDATAH_MSGENULL   "Null pointer"
#define STOCHASTICCONDITIONDATAH_MSGEMSTR   "Not search master"
#define STOCHASTICCONDITIONDATAH_MSGENSEQ   "Wrong number of sequences in InPut structure"
#define STOCHASTICCONDITIONDATAH_MSGETYPE   "Input data has wrong type"
#define STOCHASTICCONDITIONDATAH_MSGEDIMS   "Input data has wrong dimensions"
#define STOCHASTICCONDITIONDATAH_MSGESIZE   "Input data has wrong size"
#define STOCHASTICCONDITIONDATAH_MSGENAME   "Wrong data name in InPut structure"
#define STOCHASTICCONDITIONDATAH_MSGEALOC   "Memory allocation error"
/******** </lalErrTable> ********/

/* TODO: are these names implemented in wrapperAPI? If not, which? */
/* the names of the multidim data channels */
#define STOCHASTICINPUTNAME_DETECTOR1   "detector1"
#define STOCHASTICINPUTNAME_DETECTOR2   "detector2"
#define STOCHASTICINPUTNAME_SPECTRUM1   "spectrum1"
#define STOCHASTICINPUTNAME_SPECTRUM2   "spectrum2"
#define STOCHASTICINPUTNAME_RESPONSE1   "response1"
#define STOCHASTICINPUTNAME_RESPONSE2   "response2"
#define STOCHASTICINPUTNAME_IFODMRO     "channel"
#define STOCHASTICINPUTNAME_PRIMARY     "primary"

#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _STOCHASTICCONDITIONDATA_H */

/******************************* <lalLaTeX file="StochasticBarConditionDataH">
  
\vfill{\footnotesize\input{StochasticBarConditionDataHV}}

\newpage\input{StochasticBarConditionDataC}

*************************************************** </lalLaTeX> */
