/**** <lalVerbatim file="StochasticApplySearchHV">
Author: Anderson, W.G., Romano, J.D., and Whelan, J.T.
$Id: StochasticApplySearch.h,v 1.9 2001/08/17 23:42:45 whelan Exp $
**************************************************** </lalVerbatim> */

/******************************* <lalLaTeX file="StochasticApplySearchH">
\section{Header \texttt{StochasticApplySearch.h}}
\label{s:StochasticApplySearch.h}

Header file for ...

\subsection*{Synopsis}
\begin{verbatim}
#include "StochasticApplySearch.h"
\end{verbatim}

\noindent
This header ...

\subsection*{Error conditions}
\input{StochasticApplySearchHErrTab}

\subsection*{Structures}
  
\vfill{\footnotesize\input{StochasticApplySearchHV}}

\newpage\input{StochasticApplySearchC}

*************************************************** </lalLaTeX> */

#ifndef _STOCHASTICAPPLYSEARCH_H
#define _STOCHASTICAPPLYSEARCH_H

#include "LALWrapperInterface.h"
#include "Stochastic.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (STOCHASTICAPPLYSEARCHH, "$Id: StochasticApplySearch.h,v 1.9 2001/08/17 23:42:45 whelan Exp $");

/******** <lalErrTable file="StochasticApplySearchHErrTab"> ********/
#define STOCHASTICAPPLYSEARCHH_ENULL      1
#define STOCHASTICAPPLYSEARCHH_ENNUL      2
#define STOCHASTICAPPLYSEARCHH_EMSTR      3 
#define STOCHASTICAPPLYSEARCHH_ERANK      4
#define STOCHASTICAPPLYSEARCHH_EALOC      5

#define STOCHASTICAPPLYSEARCHH_MSGENULL   "Null pointer"
#define STOCHASTICAPPLYSEARCHH_MSGENNUL   "Non-null pointer"
#define STOCHASTICAPPLYSEARCHH_MSGEMSTR   "Search master not being used"
#define STOCHASTICAPPLYSEARCHH_MSGERANK   "Search master has incorrect rank"
#define STOCHASTICAPPLYSEARCHH_MSGEALOC   "Memory allocation error"
/******** </lalErrTable> ********/

#define STOCHASTICAPPLYSEARCHH_PROGNAME   "stochasticDSO"
  /* #define STOCHASTICAPPLYSEARCHH_MIMETYPE   "Subtype 4 - cross-spectrum" */
  /* #define STOCHASTICAPPLYSEARCHH_CHANNEL     "Hanford 4km differential mode - Livingston 4km differential mode cross correlation spectrum" */
#define STOCHASTICAPPLYSEARCHH_CHANNEL     "optimally filtered cross-correlation spectrum"
#define STOCHASTICAPPLYSEARCHH_SPECTYPE    "IFO IFO differential mode cross correlation spectrum for stochastic background search"

#if     WORDS_BIGENDIAN
#define STOCHASTICAPPLYSEARCHH_MIMETYPE    "x-ligo/complex-spectrum-big"
#else
#define STOCHASTICAPPLYSEARCHH_MIMETYPE    "x-ligo/complex-spectrum-little"
#endif


void
StochasticBuildOutput (
    LALStatus*               status,
    LALSearchOutput*         output,
    COMPLEX8FrequencySeries* spec,
    gpsTimeInterval          timeInterval   
);

#ifdef  __cplusplus
}
#endif /* C++ protection */

#endif /* _STOCHASTICAPPLYSEARCH_H */

