/**** <lalVerbatim file="TFCConditionDataHV"> ***********
Author: Julien Sylvestre
$Id: ConditionData.h,v 1.2 2001/08/28 17:12:45 julien Exp $
***** </lalVerbatim> ***********************************/

#ifndef _CONDITIONDATA_H
#define _CONDITIONDATA_H

#include "LALWrapperInterface.h"

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (CONDITIONDATAH, "power $Id: ConditionData.h,v 1.2 2001/08/28 17:12:45 julien Exp $");

/******** <lalErrTable file="TFCConditionDataHErrTab"> ********/
#define CONDITIONDATA_ENULL     1
#define CONDITIONDATA_ENNUL     2
#define CONDITIONDATA_EALOC     3
#define CONDITIONDATA_EARGS     4
#define CONDITIONDATA_EINPUT    5
#define CONDITIONDATA_EDT       6
#define CONDITIONDATA_EDTZ      7
#define CONDITIONDATA_ENUMZ     8
#define CONDITIONDATA_ESEGZ     9
#define CONDITIONDATA_EDATZ     10
#define CONDITIONDATA_ENDAT     11
#define CONDITIONDATA_EDTYP     12

#define CONDITIONDATA_MSGENULL   "Null pointer"
#define CONDITIONDATA_MSGENNUL   "Non-null pointer"
#define CONDITIONDATA_MSGEALOC   "Memory allocation error"
#define CONDITIONDATA_MSGEARGS   "Wrong number of arguments"
#define CONDITIONDATA_MSGEINPUT  "Wrong data names in InPut structure"
#define CONDITIONDATA_MSGEDT     "Mismatch between deltaT in wrapperParams and inPut"
#define CONDITIONDATA_MSGEDTZ    "wrapperParams->deltaT is zero or negative"
#define CONDITIONDATA_MSGENUMZ   "Data segment length is zero"
#define CONDITIONDATA_MSGESEGZ   "Number of data segments is zero"
#define CONDITIONDATA_MSGEDATZ    "Got less data than expected"
#define CONDITIONDATA_MSGENDAT   "Number of power thresholds doesn't match Nyquist frequency of channel"
#define CONDITIONDATA_MSGEDTYP   "Datatype not supported"
/******** </lalErrTable> ********/


#ifdef  __cplusplus
}
#endif

#endif /* _CONDITIONDATA_H */
